<template>
    <ul id="epreuve-list">
        <h2 v-if="epreuveList.length === 0 && !isLoaded && !isError">Chargements des epreuves...</h2>
        <li v-else-if="epreuveList.length > 0" v-for="(epreuve, index) in epreuveList" :key="index">
            <Epreuve :epreuve-data="epreuve"></Epreuve>
        </li>
        <h2 v-else-if="!isError">Pas d'epreuves.</h2>
        <h2 v-else>Une erreur est survenue</h2>
    </ul>
</template>

<script>
    import config from "../../js/config.js";
    import Epreuve from "./Epreuve.vue";
    import axios from "axios";

    export default {
        name: "EpreuveList",
        components: {
            Epreuve: Epreuve,
        },
        created() {
            this.initialise();
        },
        data: function () {
            return {
                epreuveList: [],
                isLoaded: false,
                isError: false,
                requete: ""
            };
        },
        methods: {
            initialise() {
                if(localStorage.id_roleUser === "1"){
                    this.requete = "https://" + config.host + "/listeepreuves";
                } else {
                    this.requete = "https://" + config.host + "/epreuvesbyuser/" + localStorage.idUser;
                }
                axios
                    .get(this.requete)
                    .then(response => {
                        // handle success
                        this.epreuveList = response.data;
                        this.isLoaded = true;
                    })
                    .catch(error => {
                        // handle error
                        this.isError = true;
                        console.log(error);
                    });
            }
        }
    }
</script>

<style scoped>

</style>